require 'net/http'
require 'kconv'
require 'yaml'

conf_file = ARGV.shift || 'default.yaml'
conf = YAML.load_file(conf_file)

to_list   = conf['to_list']
status    = conf['status']
username  = conf['account']['username']
password  = conf['account']['password']

to_list.each{|id|
  req = Net::HTTP::Post.new('/direct_messages/new.xml')#
  req.basic_auth(username, password)
  req.body = 'user=' + id + '&text=' + URI.encode(status)
  Net::HTTP.start('twitter.com') do |http|
    res = http.request(req)
    if res.body.include?('<created_at>')
      puts '@' + id + ': message was sent'
    else
      puts '@' + id + ': ERROR!'
    end
  end
}
